Subject: RE: Potential problems with Cygwin GCC and -mno-cygwin switch
From: "Jon Leichter" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 27 Dec 2001 18:32:59 -0800

Ok... you got me...

One problem with cyberspace communication is how two (or more) people can be
talking about the same topic but are on different pages (metaphorically, of
course)... :)

What I was talking about is packages that you download and build yourself,
e.g. GNU regex, GNU libtool, GDBM, OpenLDAP: all of these packages configure
with a default prefix of /usr/local.

I was not talking about pre-packaged Cygwin binaries. And I still claim that
even after you install Cygwin packages, they will operate if you relocate
the libraries in /usr/lib. This is because the Cygwin binaries depend on
DLLs accessible via the PATH, which are NOT relocated from /usr/bin.

Jon

> -----Original Message-----
> From: Robert Collins [mailto:[email-masked]]
> Sent: Thursday, December 27, 2001 6:23 PM
> To: Jon Leichter
> Cc: [email-masked]
> Subject: Re: Potential problems with Cygwin GCC and -mno-cygwin switch
>
> ----- Original Message -----
> From: "Jon Leichter" <[email-masked]>
> > Most libraries included with packages install in /usr/local/lib
> (opposed to
> > /usr/lib). As for libraries that it may depend upon, as long as my GCC
> specs
> > file knows where to find libraries, I don't see a problem.
>
> Please check your facts before making assertions.
> ===
> $ ls -lR /usr/local/lib/
> /usr/local/lib/:
> total 0
> drwxrwxrwx    2 Administ None            0 Dec 27 22:00 pkgconfig
>
> /usr/local/lib/pkgconfig:
> total 0
> ===
>
> I have nearly every package provided by cygwin installed, and as you can
> see, the libraries are not installed in /usr/local/lib.
>
> Rob
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/